fields:
  heroImageOptions:
    label: Hero Image Options
    type: headline

  heroImage:
    label: Image
    type: files
    accept: image/webp
    multiple: false
    layout: list
    empty: No image selected
    min: 1
    templates:
      - image
    help: For faster loading select .webp image
    width: 1/1

  heroImageTitleType:
    label: Set Custom Titles
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/1

  heroImageTitle:
    label: Title 1
    type: text
    when:
      heroImageTitleType: Yes
    width: 1/1

  heroImageSubtitle:
    label: Title 2
    type: text
    when:
      heroType: Hero Image
    width: 1/1

  heroImageFade:
    label: Add Fade Over Image
    type: toggle
    text:
      - "No"
      - "Yes"
    width: 1/2

  heroImageHeight:
    label: Height
    type: radio
    options:
      Small: Small (20%)
      Medium: Medium (40%)
      Large: Large (70%)
      Fullscreen: Full screen
    width: 1/2

  heroImagePosition:
    label: Image Alignment (desktop)
    type: radio
    options:
      top: top
      center: center
      bottom: bottom
    width: 1/2

  heroImagePositionMobile:
    label: Image Alignment (mobile)
    type: radio
    options:
      left: left
      center: center
      right: right
    width: 1/2
